### Method

# Gtk HeaderBarset_decoration_layout

#### Declaration [src]

    void
    gtk_header_bar_set_decoration_layout (
      GtkHeaderBar* bar,
      const char* layout
    )

#### Description [src]

Sets the decoration layout for this header bar.

This property overrides the `GtkSettings:gtk-decoration-layout` setting.

There can be valid reasons for overriding the setting, such as a header bar design that does not allow for buttons to take room on the right, or only offers room for a single close button. Split header bars are another example for overriding the setting.

The format of the string is button names, separated by commas. A colon separates the buttons that should appear on the left from those on the right. Recognized button names are minimize, maximize, close and icon (the window icon).

For example, “icon:minimize,maximize,close” specifies an icon on the left, and minimize, maximize and close buttons on the right.

Sets property | `Gtk.HeaderBar:decoration-layout`

#### Parameters

`layout`

  Type: `const char*`

  A decoration layout, or `NULL` to unset the layout.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.